﻿using System.Diagnostics;
using System.Dynamic;
using System.Runtime.Serialization;

namespace CQGPlugin.SymbolSearch
{
    [DebuggerDisplay("{Symbol};{Description};{Exchange};{Root}")]
    [DataContract]
    internal struct CqgSymbol
    {
        [DataMember(Name = "t")]
        public string Symbol { get; set; }

        [DataMember(Name = "d")]
        public string Description { get; set; }

        [DataMember(Name = "expiration")]
        public string Expiration { get; set; }

        [DataMember(Name = "root")]
        public string Root { get; set; }

        [DataMember(Name = "e")]
        public string Exchange { get; set; }

        [DataMember(Name = "type")]
        public string Type { get; set; }

        [DataMember(Name = "tick")]
        public Tick Tick { get; set; }
    }

    [DebuggerDisplay("Size:{Size};PointValue:{PointValue}")]
    [DataContract]
    internal struct Tick
    {
        [DataMember(Name = "size")]
        public double Size { get; set; }

        [DataMember(Name = "value")]
        public double PointValue { get; set; }
    }
}